> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remediation cancel

> Cancels a pending remediation.

Only remediations in PENDING_APPROVAL or PENDING state can be cancelled.




## OpenAPI

````yaml /clusters-remediation-openapi.yaml POST /compute/clusters/{cluster_id}/instances/{instance_id}/remediations/{remediation_id}/cancel
openapi: 3.0.3
info:
  title: remediation.proto
  version: version not set
servers:
  - url: https://api.together.xyz/v1
security:
  - bearerAuth: []
paths:
  /compute/clusters/{cluster_id}/instances/{instance_id}/remediations/{remediation_id}/cancel:
    post:
      description: |
        Cancels a pending remediation.

        Only remediations in PENDING_APPROVAL or PENDING state can be cancelled.
      parameters:
        - name: cluster_id
          in: path
          required: true
          schema:
            type: string
        - name: instance_id
          in: path
          required: true
          schema:
            type: string
        - name: remediation_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1Remediation'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1Remediation:
      type: object
      required:
        - id
        - cluster_id
        - instance_id
        - mode
        - trigger
        - state
      properties:
        id:
          type: string
          readOnly: true
        cluster_id:
          type: string
          readOnly: true
        instance_id:
          type: string
          readOnly: true
        mode:
          $ref: '#/components/schemas/v1RemediationMode'
        trigger:
          $ref: '#/components/schemas/v1RemediationTrigger'
          readOnly: true
        state:
          $ref: '#/components/schemas/v1RemediationState'
          readOnly: true
        reason:
          type: string
          description: User-provided reason for the remediation.
        active_health_check_run_id:
          type: string
          description: Active health check run ID (UUID) that triggered this remediation.
          readOnly: true
        passive_health_check_event_id:
          type: string
          description: Passive health check event ID that triggered this remediation.
          readOnly: true
        requested_by:
          type: string
          description: Who requested the remediation.
          readOnly: true
        create_time:
          type: string
          format: date-time
          description: When the remediation was created.
          readOnly: true
        reviewed_by:
          type: string
          description: Who reviewed the remediation.
          readOnly: true
        review_time:
          type: string
          format: date-time
          description: When the remediation was reviewed.
          readOnly: true
        review_comment:
          type: string
          description: Review comment.
          readOnly: true
        start_time:
          type: string
          format: date-time
          description: When processing started.
          readOnly: true
        end_time:
          type: string
          format: date-time
          description: When the remediation completed.
          readOnly: true
        error_message:
          type: string
          description: Error message if the remediation failed.
          readOnly: true
        update_time:
          type: string
          format: date-time
          description: When the remediation was last updated.
          readOnly: true
    rpcStatus:
      type: object
      required:
        - code
        - message
        - details
      description: >
        The `Status` type defines a logical error model that is suitable for

        different programming environments, including REST APIs and RPC APIs. It
        is

        used by [gRPC](https://github.com/grpc). Each `Status` message contains

        three pieces of data: error code, error message, and error details.


        You can find out more about this error model and how to work with it in
        the

        [API Design Guide](https://cloud.google.com/apis/design/errors).
      properties:
        code:
          type: integer
          format: int32
          description: |
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
        message:
          type: string
          description: >
            A developer-facing error message, which should be in English. Any

            user-facing error message should be localized and sent in the

            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized

            by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
          description: >
            A list of messages that carry the error details.  There is a common
            set of

            message types for APIs to use.
    v1RemediationMode:
      type: string
      enum:
        - REMEDIATION_MODE_VM_ONLY
        - REMEDIATION_MODE_HOST_AWARE
      description: >
        Remediation mode specifies how the remediation should be performed.


        - `REMEDIATION_MODE_VM_ONLY`: Deletes the VM and provisions a new one on
        any available host.

        - `REMEDIATION_MODE_HOST_AWARE`: Cordons the host, deletes the VM, and
        provisions a new one on a different host.
    v1RemediationTrigger:
      type: string
      enum:
        - REMEDIATION_TRIGGER_MANUAL
        - REMEDIATION_TRIGGER_AUTOMATED
      description: >
        RemediationTrigger specifies how the remediation was triggered.


        - `REMEDIATION_TRIGGER_MANUAL`: A user-initiated remediation (either via
        web UI or API call).

        - `REMEDIATION_TRIGGER_AUTOMATED`: A system-initiated remediation that
        requires approval.
    v1RemediationState:
      type: string
      enum:
        - PENDING_APPROVAL
        - PENDING
        - RUNNING
        - SUCCEEDED
        - FAILED
        - CANCELLED
        - AUTO_RESOLVED
      description: >
        RemediationState represents the lifecycle state of a remediation.


        - `PENDING_APPROVAL`: Awaiting approval before processing can begin.

        - `PENDING`: Approved and queued for processing.

        - `RUNNING`: Actively being processed.

        - `SUCCEEDED`: Successfully completed.

        - `FAILED`: Failed with an error.

        - `CANCELLED`: Cancelled by user or system.

        - `AUTO_RESOLVED`: The underlying issue was automatically resolved
        before processing.
    protobufAny:
      type: object
      description: >
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.
      properties:
        '@type':
          type: string
          description: >
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````